# Generated by Django 5.0.4 on 2024-09-28 09:08

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("bookexchange", "0001_initial"),
        ("books", "0002_initial"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name="bookownership",
            name="owner",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, related_name="owner", to=settings.AUTH_USER_MODEL
            ),
        ),
        migrations.AddField(
            model_name="bookrequest",
            name="book_ownership",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="book_ownership_request",
                to="bookexchange.bookownership",
            ),
        ),
        migrations.AddField(
            model_name="bookrequest",
            name="from_user",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="from_user_request",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="readbook",
            name="book",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, related_name="book_read", to="books.book"
            ),
        ),
        migrations.AddField(
            model_name="readbook",
            name="user",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, related_name="user_read", to=settings.AUTH_USER_MODEL
            ),
        ),
        migrations.AddField(
            model_name="toread",
            name="book",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, related_name="book_to_read", to="books.book"
            ),
        ),
        migrations.AddField(
            model_name="toread",
            name="user",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, related_name="user_to_read", to=settings.AUTH_USER_MODEL
            ),
        ),
        migrations.AlterUniqueTogether(
            name="bookownership",
            unique_together={("owner", "book")},
        ),
        migrations.AlterUniqueTogether(
            name="readbook",
            unique_together={("user", "book")},
        ),
        migrations.AlterUniqueTogether(
            name="toread",
            unique_together={("user", "book")},
        ),
    ]
